/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.plugin.config;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

@XStreamAlias("plugin-service")
public class PluginService {
	@XStreamAsAttribute
	@XStreamAlias("instance-get-mode")
	private String instanceGetMode;// 初始化方式可以是new和bean，默认是new

	@XStreamAsAttribute
	private String id;
	@XStreamAsAttribute
	private String type; // 插件实现类接口
	@XStreamAsAttribute
	@XStreamAlias("class-name")
	private String className;// 插件的实现类
	@XStreamAsAttribute
	private String version;
	private String description;

	public String getInstanceGetMode() {
		return instanceGetMode;
	}

	public void setInstanceGetMode(String instanceGetMode) {
		this.instanceGetMode = instanceGetMode;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getClassName() {
		if (className == null || "".equals(className)) {
			className = type;
		}
		return className;
	}

	public void setClassName(String className) {
		this.className = className;
	}

}
